@import '~assets/scss/_mixins';

html,
body,
#__nuxt {
  @apply .font-serif;
  @apply .leading-snug;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

html {
  @include interpolate(font-size, 768px, 1920px, 16px, 24px);
}

$vWMin: 375px;
$vWMMax: 1920px;

$h1Max: 100px;
$h1Min: 35px;


$h2Max: 60px;
$h2Min: 18px;

h1 {
  @include interpolate(font-size, $vWMin, $vWMMax, $h1Min, $h1Max);
  @apply leading-tight uppercase;

  @include interpolate(line-height, $vWMin, $vWMMax, $h1Min, $h1Max);
}

h2 {
  @include interpolate(font-size, $vWMin, $vWMMax, $h2Min, $h2Max);
  @apply leading-tight uppercase;
}
